Unverified Commit 33ed9013 authored by prspkt's avatar prspkt

testing/py3-semantic-version: clarify license, modernize

parent e1dcce20
......@@ -2,14 +2,13 @@
# Maintainer:
pkgname=py3-semantic-version
pkgver=2.6.0
pkgrel=1
pkgdesc="A library implementing the 'SemVer' scheme."
pkgrel=2
pkgdesc="A library implementing the 'SemVer' scheme"
url="https://github.com/rbarrois/python-semanticversion"
arch="noarch"
license="BSD"
license="BSD-2-Clause"
depends="python3"
makedepends="py3-setuptools"
install=""
source="$pkgname-$pkgver.tar.gz::https://github.com/rbarrois/python-semanticversion/archive/v$pkgver.tar.gz"
builddir="$srcdir/python-semanticversion-$pkgver"
......@@ -17,14 +16,11 @@ replaces=py-semanticversion # Backwards compatibility
provides=py-semanticversion=$pkgver-r$pkgrel # Backwards compatibility
build() {
cd "$builddir"
python3 setup.py build || return 1
python3 setup.py build
}
package() {
cd "$builddir"
python3 setup.py install --prefix=/usr \
--root="$pkgdir" --optimize=1 || return 1
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="18db9279c2728565b13362c54bedbf569f0878cbe6bb58e631d87ffe7cff7d9131a30a2592cbf511091c03e854851159bbb298fe7469f53e8a2d92cf26ab4d0b py3-semantic-version-2.6.0.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment